Bug 1194189 - Review Request: ecdsautils - Tiny collection of programs used for ECDSA (keygen, sign, verify)
Summary: Review Request: ecdsautils - Tiny collection of programs used for ECDSA (keyg...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1194187
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-19 10:08 UTC by Felix Kaechele
Modified: 2015-03-25 19:56 UTC (History)
2 users (show)

Fixed In Version: ecdsautils-0.3.2-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-13 17:03:56 UTC
dev: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Felix Kaechele 2015-02-19 10:08:00 UTC
Spec URL: https://heffer.fedorapeople.org/review/ecdsautils/ecdsautils.spec
SRPM URL: https://heffer.fedorapeople.org/review/ecdsautils/ecdsautils-0.3.2-1.fc21.src.rpm
Description: This collection of ECDSA utilities can be used to sign and verify data in a simple manner.
Fedora Account System Username: heffer

This package is used to create signed firmware (esp. Freifunk Gluon) releases for many Freifunk Communities in Germany.

Comment 1 Florian "der-flo" Lehner 2015-02-20 18:03:50 UTC
hi Felix!

Please inform upstream about the missing license text file and mention this in the spec file.
In addition, please insert %license COPYRIGHT to the files section.

Cheers,
 Florian

Comment 2 Felix Kaechele 2015-03-01 12:05:37 UTC
Added a pull request upstream for the license file: https://github.com/tcatm/ecdsautils/pull/10

Will carry this as a patch as long as it's not contained in a release.

Spec URL: https://heffer.fedorapeople.org/review/ecdsautils/ecdsautils.spec
SRPM URL: https://heffer.fedorapeople.org/review/ecdsautils/ecdsautils-0.3.2-2.fc23.src.rpm

Comment 3 Florian "der-flo" Lehner 2015-03-01 12:22:10 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find COPYRIGHT in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

   ---> NOT an issue! Package uses %license

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "BSD (2 clause)".
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
   ---> https://github.com/tcatm/ecdsautils/pull/10
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
   ---> NOT an issue. Upstream does not provide an license text file.
        https://github.com/tcatm/ecdsautils/pull/10
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=9107210
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ecdsautils-0.3.2-2.fc23.x86_64.rpm
          ecdsautils-0.3.2-2.fc23.src.rpm
ecdsautils.x86_64: W: spelling-error Summary(en_US) keygen -> key gen, key-gen, oxygen
ecdsautils.x86_64: W: no-manual-page-for-binary ecdsakeygen
ecdsautils.x86_64: W: no-manual-page-for-binary ecdsaverify
ecdsautils.x86_64: W: no-manual-page-for-binary ecdsasign
ecdsautils.src: W: spelling-error Summary(en_US) keygen -> key gen, key-gen, oxygen
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
ecdsautils (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libuecc.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
ecdsautils:
    ecdsautils
    ecdsautils(x86-64)



Source checksums
----------------
https://github.com/tcatm/ecdsautils/archive/v0.3.2.tar.gz :
  CHECKSUM(SHA256) this package     : a828417c985ccfc623bb613e92ccc8af6c6f24a5bcab8b112b90c033a816204f
  CHECKSUM(SHA256) upstream package : a828417c985ccfc623bb613e92ccc8af6c6f24a5bcab8b112b90c033a816204f


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1194189
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===== Solution =====
      APPROVED

Comment 4 Felix Kaechele 2015-03-01 12:26:04 UTC
New Package SCM Request
=======================
Package Name: ecdsautils
Short Description: Tiny collection of programs used for ECDSA (keygen, sign, verify)
Upstream URL: https://github.com/tcatm/ecdsautils
Owners: heffer
Branches: f20 f21 f22 epel7
InitialCC:

Comment 5 Gwyn Ciesla 2015-03-01 16:49:49 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2015-03-02 06:11:54 UTC
ecdsautils-0.3.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ecdsautils-0.3.2-2.fc20

Comment 7 Fedora Update System 2015-03-02 06:13:03 UTC
ecdsautils-0.3.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ecdsautils-0.3.2-2.fc21

Comment 8 Fedora Update System 2015-03-02 06:14:11 UTC
ecdsautils-0.3.2-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/ecdsautils-0.3.2-2.fc22

Comment 9 Fedora Update System 2015-03-02 06:14:17 UTC
ecdsautils-0.3.2-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/ecdsautils-0.3.2-2.el7

Comment 10 Fedora Update System 2015-03-02 23:07:56 UTC
ecdsautils-0.3.2-2.fc22 has been pushed to the Fedora 22 testing repository.

Comment 11 Fedora Update System 2015-03-13 17:03:56 UTC
ecdsautils-0.3.2-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 12 Fedora Update System 2015-03-13 17:04:21 UTC
ecdsautils-0.3.2-2.fc22 has been pushed to the Fedora 22 stable repository.

Comment 13 Fedora Update System 2015-03-13 17:05:02 UTC
ecdsautils-0.3.2-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 14 Fedora Update System 2015-03-25 19:56:25 UTC
ecdsautils-0.3.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.